#include <iostream>
using namespace std;
int main()
{
    ios::sync_with_stdio(false);
    long long N, L;
    cin>>N>>L;
    
    long long H[N];
    for(long long i = 0; i<N; i++){
        cin>>H[i];
    }
    for(long long i = 0; i<N; i++){
        if(H[i] <= L){
            cout<<i+1;
            return 0;
        }
    }
    cout<<-1;
    return 0;
}